CVE-2007-6355

NameCVE-2007-6355
DescriptionInteger overflow in exiftags before 1.01 has unknown impact and attack vectors, resulting from a "field offset overflow" that triggers an "illegal memory access," a different vulnerability than CVE-2007-6354.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-1533-1, DSA-1533-2
NVD severityhigh (attack range: remote)
Debian Bugs457062
Debian/oldoldstablenot vulnerable.
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
exiftags (PTS)squeeze1.01-3fixed
wheezy1.01-5fixed
stretch, sid, jessie1.01-6fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
exiftagssource(unstable)1.01-0.1high457062
exiftagssourceetch0.98-1.1+etch1highDSA-1533-1
exiftagssourcesarge0.98-1.1+0sarge1highDSA-1533-2

Search for package or bug name: Reporting problems